> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dvuln.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Projects

> Retrieve a list of all projects in the organization



## OpenAPI

````yaml api-reference/openapi.json get /api/org/projects
openapi: 3.0.3
info:
  title: Dvuln Organisation API
  description: API for managing projects, issues, and comments in Dvuln platform
  version: 1.0.0
servers:
  - url: https://{host}
    description: Dvuln API Server
    variables:
      host:
        default: console.dvuln.com
        description: The API host domain
security:
  - ApiKeyAuth: []
paths:
  /api/org/projects:
    get:
      summary: Get Projects
      description: Retrieve a list of all projects in the organization
      operationId: getProjects
      responses:
        '200':
          description: Successful response with list of projects
          content:
            application/json:
              schema:
                type: object
                properties:
                  projects:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                          example: Example Project
                        shortcode:
                          type: string
                          example: dvpt-abc-example
                        url:
                          type: string
                          format: uri
                          example: >-
                            https://app.dvuln.com/project/dvpt-abc-example/overview
                        level:
                          type: string
                          example: '1'
                        commsCount:
                          type: integer
                          example: 1
                        startDate:
                          type: object
                          properties:
                            date:
                              type: string
                              example: '2024-01-01 09:00:00.000000'
                            timezone_type:
                              type: integer
                              example: 3
                            timezone:
                              type: string
                              example: Australia/Sydney
                        startDateRaw:
                          type: string
                          example: 01-01-2024
                        endDate:
                          type: object
                          properties:
                            date:
                              type: string
                              example: '2024-01-10 17:00:00.000000'
                            timezone_type:
                              type: integer
                              example: 3
                            timezone:
                              type: string
                              example: Australia/Sydney
                        endDateRaw:
                          type: string
                          example: 10-01-2024
                        reportDeliveryDate:
                          type: object
                          properties:
                            date:
                              type: string
                              example: '2024-01-11 17:00:00.000000'
                            timezone_type:
                              type: integer
                              example: 3
                            timezone:
                              type: string
                              example: Australia/Sydney
                        reportDeliveryDateRaw:
                          type: string
                          example: 11-01-2024
                        completionPercentage:
                          type: integer
                          minimum: 0
                          maximum: 100
                          example: 75
                        status:
                          type: object
                          properties:
                            ID:
                              type: string
                              example: '3'
                            name:
                              type: string
                              example: Live
                            description:
                              type: string
                              example: Testing is currently in progress.
                        type:
                          type: object
                          properties:
                            ID:
                              type: string
                              example: '1'
                            code:
                              type: string
                              example: dvpt
                            name:
                              type: string
                              example: Penetration Test
                            sorting:
                              type: integer
                              nullable: true
                        scopeMarkdown:
                          type: string
                          example: "| Asset | Environment, Version |\r\n| --- | --- |\r\n| [https://example.com](https://example.com/) | Production v1.0.0 |"
                        scopeEditDate:
                          type: string
                          example: 1st Jan 2024 10:00 AM
                        scopeEditUser:
                          type: object
                          properties:
                            displayName:
                              type: string
                              example: john-doe
                            firstName:
                              type: string
                              example: John
                            lastName:
                              type: string
                              example: Doe
                            fullName:
                              type: string
                              example: John Doe
                            profileImgUuid:
                              type: string
                              example: a1b2c3d4e5f6g7h8i9j0
                  count:
                    type: integer
                    description: Total number of projects
                    example: 1
        '403':
          description: Forbidden - Invalid or missing API key
        '500':
          description: Internal server error
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Token
      description: API key for authentication

````